org.keycloak.models.cache.infinispan.entities

## Class CachedUser

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedUser

- All Implemented Interfaces:
    Serializable, InRealm, Revisioned

      public class CachedUser
      extends AbstractRevisioned
      implements InRealm

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedUser(Long revision, RealmModel realm, UserModel user)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedHashMap<String,String>` | `getAttributes()`
    `Long` | `getCreatedTimestamp()`
    `List<UserCredentialValueModel>` | `getCredentials()`
    `String` | `getEmail()`
    `String` | `getFederationLink()`
    `String` | `getFirstName()`
    `Set<String>` | `getGroups()`
    `String` | `getLastName()`
    `String` | `getRealm()`
    `Set<String>` | `getRequiredActions()`
    `Set<String>` | `getRoleMappings()`
    `String` | `getServiceAccountClientLink()`
    `String` | `getUsername()`
    `boolean` | `isEmailVerified()`
    `boolean` | `isEnabled()`
    `boolean` | `isTotp()`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### CachedUser

          public CachedUser(Long revision,
                            RealmModel realm,
                            UserModel user)

  - ### Method Detail

    - #### getRealm

          public String getRealm()

      Specified by:
        `getRealm` in interface `InRealm`

    - #### getUsername

          public String getUsername()

    - #### getCreatedTimestamp

          public Long getCreatedTimestamp()

    - #### getFirstName

          public String getFirstName()

    - #### getLastName

          public String getLastName()

    - #### getEmail

          public String getEmail()

    - #### isEmailVerified

          public boolean isEmailVerified()

    - #### getCredentials

          public List<UserCredentialValueModel> getCredentials()

    - #### isEnabled

          public boolean isEnabled()

    - #### isTotp

          public boolean isTotp()

    - #### getAttributes

          public MultivaluedHashMap<String,String> getAttributes()

    - #### getRequiredActions

          public Set<String> getRequiredActions()

    - #### getRoleMappings

          public Set<String> getRoleMappings()

    - #### getFederationLink

          public String getFederationLink()

    - #### getServiceAccountClientLink

          public String getServiceAccountClientLink()

    - #### getGroups

          public Set<String> getGroups()

Copyright © 2016 JBoss by Red Hat. All rights reserved.